Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.faces
Class BusinessProcess

    java.lang.Object
      org.jboss.seam.core.AbstractMutable
          org.jboss.seam.bpm.BusinessProcess
              org.jboss.seam.faces.BusinessProcess

All Implemented Interfaces:
  Serializable, Mutable

    @Scope(value=CONVERSATION)
    @Name(value="org.jboss.seam.bpm.businessProcess")
    @BypassInterceptors
    @Install(dependencies="org.jboss.seam.bpm.jbpm",
             precedence=10,
             classDependencies="javax.faces.context.FacesContext")
    public class BusinessProcess

extends BusinessProcess

Holds the task and process ids for the current conversation, and provides programmatic control over the business process.

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`BusinessProcess()`

Method Summary
`protected void` | `processEnded(Long processId)`
`protected void` | `processEnded(String key)`
`protected void` | `processNotFound(Long processId)`
`protected void` | `processNotFound(String key)`
`protected void` | `taskEnded(Long taskId)`
`protected void` | `taskNotFound(Long taskId)`

Methods inherited from class org.jboss.seam.bpm.BusinessProcess
`createProcess, createProcess, endTask, getProcessId, getTaskId, hasActiveProcess, hasCurrentProcess, hasCurrentTask, instance, resumeProcess, resumeProcess, resumeTask, setProcessId, setTaskId, startTask, toString, transition, validateTask`

Methods inherited from class org.jboss.seam.core.AbstractMutable
`clearDirty, setDirty, setDirty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BusinessProcess

    public BusinessProcess()

Method Detail

### taskNotFound

    protected void taskNotFound(Long taskId)

  Overrides:
    `taskNotFound` in class `BusinessProcess`

### taskEnded

    protected void taskEnded(Long taskId)

  Overrides:
    `taskEnded` in class `BusinessProcess`

### processEnded

    protected void processEnded(Long processId)

  Overrides:
    `processEnded` in class `BusinessProcess`

### processNotFound

    protected void processNotFound(Long processId)

  Overrides:
    `processNotFound` in class `BusinessProcess`

### processEnded

    protected void processEnded(String key)

  Overrides:
    `processEnded` in class `BusinessProcess`

### processNotFound

    protected void processNotFound(String key)

  Overrides:
    `processNotFound` in class `BusinessProcess`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD